Skip to Content
kosemdocs
ReferenceAPIEnvironments

List registries in project

Lists the registries of an organization, or a project's own, oldest first.

GET
/v1/projects/{project}/registries

Lists the registries of an organization, or a project's own, oldest first.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of registries to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
nextPageToken*string

Token for the next page; empty on the last page.

registries*array<>

Registries, oldest first.

Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/registries'
Example Response
{
  "nextPageToken": "string",
  "registries": [
    {
      "availability": {
        "allProjects": true,
        "projects": [
          "string"
        ]
      },
      "aws": {
        "role": "string"
      },
      "createTime": "2019-08-24T14:15:22Z",
      "description": "string",
      "google": {
        "provider": "string",
        "serviceAccount": "string"
      },
      "lastPullTime": "2019-08-24T14:15:22Z",
      "name": "string",
      "prefix": "string",
      "state": "ACTIVE",
      "stateReason": "string",
      "token": {
        "secret": "string",
        "username": "string"
      },
      "trust": {
        "attributeCondition": "string",
        "audience": "string",
        "issuer": "string",
        "subject": "string"
      },
      "updateTime": "2019-08-24T14:15:22Z",
      "verification": {
        "steps": [
          {
            "said": "string",
            "state": "PASSED",
            "step": "TRUST"
          }
        ],
        "verifyTime": "2019-08-24T14:15:22Z"
      }
    }
  ]
}